# Project: Project1
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = main.o debug.o display.o input.o window.o sound.o $(RES)
LINKOBJ  = main.o debug.o display.o input.o window.o sound.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -mwindows -l winmm -lwsock32  -march=i686 -mmmx 
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = Spectrum.exe
CXXFLAGS = $(CXXINCS)   -fexpensive-optimizations -O3 -march=i686 -mmmx
CFLAGS = $(INCS)   -fexpensive-optimizations -O3 -march=i686 -mmmx
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before Spectrum.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "Spectrum.exe" $(LIBS)

main.o: main.cpp
	$(CPP) -c main.cpp -o main.o $(CXXFLAGS)

debug.o: debug.cpp
	$(CPP) -c debug.cpp -o debug.o $(CXXFLAGS)

display.o: display.cpp
	$(CPP) -c display.cpp -o display.o $(CXXFLAGS)

input.o: input.cpp
	$(CPP) -c input.cpp -o input.o $(CXXFLAGS)

window.o: window.cpp
	$(CPP) -c window.cpp -o window.o $(CXXFLAGS)

sound.o: sound.cpp
	$(CPP) -c sound.cpp -o sound.o $(CXXFLAGS)
